//
//  AerServNetwork.h
//  PokktAdsDemo
//
//  Created by Pokkt on 28/02/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <AerServSDK/AerServSDK.h>

@interface AerServInterstitialAds : NSObject<PokktAdNetwork, ASInterstitialViewControllerDelegate>
{
    
}
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) NSMutableDictionary *placementDictionary;

@property (nonatomic, retain) NSMutableDictionary *timeoutDictionary;
@property (nonatomic, retain) NSMutableDictionary *adConfigDictionary;



@end

@interface AerServBanner : NSObject<PokktAdNetwork,ASAdViewDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) UIViewController *rootViewController;
@property (nonatomic, retain) UIView *bannerParentView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end


@interface AerServNetwork : NSObject<PokktAdNetwork>
{
    
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) AerServInterstitialAds *interstitialAd;

@property (nonatomic, retain) AerServBanner *bannerAd;

@end
