//
//  FlurryNetwork.h
//  SampleApp
//
//  Created by Pokkt on 21/11/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"

#import "FlurrySDK/Flurry/Flurry.h"
#import "FlurrySDK/FlurryAds/FlurryAdBanner/FlurryAdBanner.h"
#import "FlurrySDK/FlurryAds/FlurryAdInterstitial/FlurryAdInterstitial.h"
#import "FlurrySDK/FlurryAds/Shared/FlurryAdError.h"

@interface FlurryBanner : NSObject<PokktAdNetwork,FlurryAdBannerDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) UIViewController *rootViewController;
@property (nonatomic, retain) UIView *bannerParentView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end

@interface FlurryInterstitial : NSObject<PokktAdNetwork,FlurryAdInterstitialDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) NSMutableDictionary *interstitialMap;
@property (nonatomic, retain) NSMutableDictionary * timedOutDictionary;
@property (nonatomic, retain) NSMutableDictionary * adConfigDictionary;

@end



@interface FlurryNetwork : NSObject<PokktAdNetwork>
{
    
}

@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property(nonatomic,retain)FlurryInterstitial *interstitialAd;
@property(nonatomic,retain)FlurryBanner *bannerAd;
@end
