//
//  InmobiNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 20/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"

@import InMobiSDK.IMSdk;
@import InMobiSDK.IMInterstitialDelegate;
@import InMobiSDK.IMCommonConstants;
@import InMobiSDK.IMRequestStatus;
@import InMobiSDK.IMInterstitial;


@interface InmobiNetwork : NSObject<PokktAdNetwork>

@property(nonatomic, retain) UIViewController * viewController;

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) NSMutableDictionary *inmobiAdDictionary;

@end

@interface InmobiAd : NSObject<PokktAdNetwork, IMInterstitialDelegate>

@property(nonatomic, retain) UIViewController * viewController;

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) IMInterstitial * adInterstitial;

@property (nonatomic) BOOL isTimeout;

@property (nonatomic, retain) PokktAdConfig * adConfig;

@end
