//
//  LoopMeNetwork.h
//  SampleApp
//
//  Created by Pokkt on 03/11/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import "LoopMeSDK/LoopMeInterstitial.h"
#import "LoopMeSDK/LoopMeAdView.h"

@interface LoopMeBanner : NSObject<PokktAdNetwork,LoopMeAdViewDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) UIViewController *rootViewController;
@property (nonatomic, retain) UIView *bannerParentView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end

@interface InterstitialAds : NSObject<PokktAdNetwork,LoopMeInterstitialDelegate>
{
    
}

@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property(nonatomic, retain) UIViewController * viewController;
@property (nonatomic, retain) NSTimer *cacheTimer;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, assign) BOOL isFullyWatched;
@property (nonatomic, retain) NSRecursiveLock *cacheLock;
@property (nonatomic, retain) LoopMeInterstitial *loopMeAd;

@end



@interface LoopMeNetwork : NSObject<PokktAdNetwork,LoopMeInterstitialDelegate>
{
    
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) InterstitialAds *interstitialAd;
@property (nonatomic, retain) LoopMeBanner *bannerAd;

@end
