//
//  MillennialNetwork.h
//  PokktAdsDemo
//
//  Created by Pokkt on 27/02/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <MMAdSDK/MMAdSDK.h>


@interface MillennialInterstitialAds : NSObject<PokktAdNetwork, MMInterstitialDelegate>
{
    
}
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) NSMutableDictionary *placementDictionary;

@property (nonatomic, retain) NSMutableDictionary *timeoutDictionary;
@property (nonatomic, retain) NSMutableDictionary *adConfigDictionary;

@end

@interface MillennialBanner : NSObject<PokktAdNetwork,MMInlineDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) UIViewController *rootViewController;
@property (nonatomic, retain) UIView *bannerParentView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end


@interface MillennialNetwork : NSObject<PokktAdNetwork, MMInterstitialDelegate>
{
    
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) MillennialInterstitialAds *interstitialAd;

@property (nonatomic, retain) MillennialBanner *bannerAd;
@end


