//
//  SuperSonicNetwork.h
//  SampleApp
//
//  Created by Pokkt on 10/26/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Supersonic/Supersonic.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"

@interface SuperSonicInterstitialAd : NSObject<PokktAdNetwork,SupersonicISDelegate,SupersonicLogDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * network;
@property (nonatomic, retain) PokktAdConfig * adConfig;

@end

@interface SuperSonicRewardedAd : NSObject<PokktAdNetwork,SupersonicRVDelegate,SupersonicLogDelegate>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * network;
@property (nonatomic, retain) PokktAdConfig * adConfig;

@end

@interface SuperSonicNetwork : NSObject<PokktAdNetwork,SupersonicLogDelegate>
{
    
}

@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property(nonatomic,retain)SuperSonicInterstitialAd *interstitialAd;
@property(nonatomic,retain)SuperSonicRewardedAd *rewardedAd;
@end
