//
//  TapjoyNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 16/11/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CommonCrypto/CommonDigest.h>
#import <Tapjoy/Tapjoy.h>
#import <Tapjoy/TJPlacement.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"


@interface TapjoyNetwork : NSObject<TJPlacementDelegate, PokktAdNetwork, TJCVideoAdDelegate>

@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) UIViewController * viewController;
@property (nonatomic, assign) int currentCurrencyBalance;

@property (nonatomic, retain) NSMutableDictionary *placementDictionary;
@property (nonatomic, retain) NSMutableDictionary *timeoutDictionary;
@property (nonatomic, retain) NSMutableDictionary *adConfigDictionary;
@property (nonatomic, retain) PokktAdConfig *currentPlayAdConfig;

@end
