//
//  AppLovin.h
//  SampleApp
//
//  Created by Pokkt on 10/8/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AppLovinSDK/ALInterstitialAd.h>
#import <AppLovinSDK/ALAdRewardDelegate.h>

#import <PokktSDK/PokktAds.h>
#import <PokktSDK/PokktAdsDelegates.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <PokktSDK/PokktNetworkModel.h>

@interface RewardedAD : NSObject<PokktAdNetwork,ALAdRewardDelegate, ALAdDisplayDelegate, ALAdVideoPlaybackDelegate,ALAdLoadDelegate>
{

}

@property(nonatomic, strong) PokktNetworkModel *network;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, assign) BOOL isTimedout;

@end

@interface InterstitialAd : NSObject<PokktAdNetwork,ALAdLoadDelegate, ALAdDisplayDelegate>
{
 
}

@property(nonatomic, strong) PokktNetworkModel *network;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, strong) ALInterstitialAd *interstitial;

@end

@interface AppLovin : NSObject<PokktAdNetwork>
{
    
}

@property(nonatomic, strong) PokktNetworkModel *networkModel;
@property(nonatomic,retain)RewardedAD *appLovinRewardedAd;
@property(nonatomic,retain)InterstitialAd *appLovinInterstitialAd;

@end
