//
//  ChartboostNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 08/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <Chartboost/Chartboost.h>
#import <CommonCrypto/CommonDigest.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"

@interface ChartboostNetwork : NSObject<ChartboostDelegate, PokktAdNetwork>

@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) NSMutableDictionary * timedOutDictionary;
@property (nonatomic, retain) NSMutableDictionary * rewardedAdconfigDictionary;
@property (nonatomic, retain) NSMutableDictionary * nonRewardedAdconfigDictionary;
@property (nonatomic, assign) float reward;

@end
