//
//  FacebookNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 29/01/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"

#import <FBAudienceNetwork/FBAudienceNetwork.h>

@interface facebookBanner : NSObject<FBAdViewDelegate,PokktAdNetwork>
{
    
}

@property (nonatomic, strong) PokktNetworkModel *networkModel;
@property (nonatomic, retain) PokktAdConfig *adConfig;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end

@interface facebookInterstitial : NSObject<PokktAdNetwork,FBInterstitialAdDelegate>
{
    NSMutableDictionary *mappingDict;
    NSMutableDictionary *adConfigDict;
    NSMutableDictionary *adMap;
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property(nonatomic, retain) UIViewController * viewController;
@property (nonatomic, assign) BOOL isTimedout;

@end


@interface FacebookNetwork : NSObject<PokktAdNetwork>
{
 
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) facebookInterstitial * interstitialAd;
@property (nonatomic, retain) facebookBanner * bannerAd;



@end

