//
//  HyperMxNetwork.h
//  SampleApp
//
//  Created by Pokkt on 28/11/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <HyprMediate/HYPRMediate.h>

@interface HyprMXNetwork : NSObject<PokktAdNetwork,HyprMediateDelegate>
{
    
}

@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, strong) PokktAdConfig * adConfig;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, assign) BOOL isAdAvailable;
@property (nonatomic, retain) NSRecursiveLock *cacheLock;
@end
