//
//  IronSourceNetwork.h
//  PokktAdsDemo
//
//  Created by Pokkt on 02/03/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <IronSource/IronSource.h>

@interface IronSourceVideoAds : NSObject<PokktAdNetwork, ISRewardedVideoDelegate>
{
    
}
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic) BOOL isTimeOut;
@property (nonatomic) BOOL  isVideoAvailable;

@end

@interface IronSourceInterstitialAds : NSObject<PokktAdNetwork, ISInterstitialDelegate>
{
    
}
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic) BOOL isTimeOut;

@end



@interface IronSourceNetwork : NSObject<PokktAdNetwork>
{
    
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) IronSourceVideoAds *videoAd;

@property (nonatomic, retain) IronSourceInterstitialAds *interstitialAd;

@end
