//
//  RevMobNetwork.h
//  PokktAdsDemo
//
//  Created by Pokkt on 03/03/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <Revmob/Revmob.h>


@interface RevMobNetwork : NSObject<PokktAdNetwork,RevmobDelegate>
{
    
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) NSMutableDictionary * videoAdConfigDict;

@property (nonatomic, retain) NSMutableDictionary *videoTimeOutDict;

@property (nonatomic, retain) NSMutableDictionary * intertitialAdConfigDict;

@property (nonatomic, retain) NSMutableDictionary *intertitialTimeOutDict;

@property (nonatomic, retain) UIView *bannerContainer;

@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end
