//
//  StartAppNetwork.h
//  PokktAdsDemo
//
//  Created by Pokkt on 03/03/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
#import <StartApp/StartApp.h>

@interface StartAppInterstitialAds : NSObject<PokktAdNetwork, STADelegateProtocol>
{
    STAStartAppAd *startApp;
}
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) NSRecursiveLock *cacheLock;
@property (nonatomic) BOOL isTimeOut;

@end

@interface StartAppBanner : NSObject<PokktAdNetwork,STABannerDelegateProtocol>
{
    
}
@property (nonatomic, strong) PokktNetworkModel * networkModel;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property (nonatomic, retain) UIViewController *rootViewController;
@property (nonatomic, retain) UIView *bannerParentView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end


@interface StartAppNetwork : NSObject<PokktAdNetwork>
{
    
}

@property (nonatomic, retain) PokktNetworkModel * networkModel;

@property (nonatomic, retain) StartAppInterstitialAds * interstitialAd;

@property (nonatomic, retain) StartAppBanner * bannerAd;
@end
